Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.io
Class NbObjectOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ObjectOutputStream
              org.openide.util.io.NbObjectOutputStream

All Implemented Interfaces:
  Closeable, DataOutput, Flushable, ObjectOutput, ObjectStreamConstants

    public class NbObjectOutputStream

extends ObjectOutputStream

Object output stream that could in the future be smart about saving certain objects. Also static methods to safely write an object that could cause problems during later deserialization.

Nested Class Summary

Nested classes/interfaces inherited from class java.io.ObjectOutputStream
`ObjectOutputStream.PutField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`NbObjectOutputStream(OutputStream os)` Create a new object output.

Method Summary
`protected void` | `annotateClass(Class cl)`
`Object` | `replaceObject(Object obj)`
`static void` | `writeSafely(ObjectOutput oo, Object obj)` Writes an object safely to the object output.

Methods inherited from class java.io.ObjectOutputStream
`annotateProxyClass, close, defaultWriteObject, drain, enableReplaceObject, flush, putFields, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeClassDescriptor, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeObjectOverride, writeShort, writeStreamHeader, writeUnshared, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NbObjectOutputStream

    public NbObjectOutputStream(OutputStream os)
                         throws IOException

  Create a new object output.

  Parameters:
    `os` - the underlying output stream
  Throws:
    `IOException` - for the usual reasons

Method Detail

### replaceObject

    public Object replaceObject(Object obj)
                         throws IOException

  Overrides:
    `replaceObject` in class `ObjectOutputStream`
  Throws:
    `IOException`

### writeSafely

    public static void writeSafely(ObjectOutput oo,
                                   Object obj)
                            throws IOException

  Writes an object safely to the object output. Can be read by `NbObjectInputStream.readSafely(java.io.ObjectInput)`.

  Parameters:
    `oo` - object output to write to
    `obj` - the object to write
  Throws:
    `SafeException` - if the object simply fails to be serialized
    `IOException` - if something more serious fails

### annotateClass

    protected void annotateClass(Class cl)
                          throws IOException

  Overrides:
    `annotateClass` in class `ObjectOutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.